Compilation of 3.7p1 failed on IRIX (missing file)

Albert Chin openssh-unix-dev at
Wed Sep 17 07:13:54 EST 2003

On Tue, Sep 16, 2003 at 08:45:09PM +0200, Heiko Schlichting wrote:
> Version 3.7p1 of OpenSSH can't be compiled on IRIX 6.5 because the file
>     openbsd-compat/inet_ntoa.h
> is missing. It is possible to compile successfully using this file out of
> version 3.6.1p2.

Just remove the #include in openbsd-compat/inet_ntoa.c. I posted about
the problem earlier and this was the recommended fix.

Does the resulting sshd work on your IRIX machine?

albert chin (china at

More information about the openssh-unix-dev mailing list